Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

znów problem z aktualizacją ROZWIĄZANY

Zaczęty przez Piejanto, Grudzień 21, 2019, 02:41:35 PM

Poprzedni wątek - Następny wątek

Piejanto

Od czasu, gdy przeszedłem z Antergosa na Archa, było wspaniale, aż do wczorajszego dnia.
Po wpisaniu komendy [pacman -Syu] otrzymałem następujący komunikat:
pacman -Syu
:: Synchronizowanie baz danych z pakietami...
core                  135,1 KiB  3,30 MiB/s 00:00 [######################] 100%
extra                1640,8 KiB  8,26 MiB/s 00:00 [######################] 100%
community               4,7 MiB  8,91 MiB/s 00:01 [######################] 100%
multilib              164,5 KiB  16,1 MiB/s 00:00 [######################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...
błąd:  nie udało się przygotować transakcji (nie udało się rozwiązać zależności)
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'dmxproto' wymagane przez libdmx
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86dgaproto' wymagane przez libxxf86dga
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86miscproto' wymagane przez libxxf86misc


Dziś powtórzyłem polecenie i komunikat był o jedną pozycję mniejszy, ale w dalszym ciągu z problemem:

# pacman -Syu
:: Synchronizowanie baz danych z pakietami...
core jest aktualne
extra                1641,0 KiB  8,30 MiB/s 00:00 [######################] 100%
community               4,7 MiB  9,38 MiB/s 00:01 [######################] 100%
multilib jest aktualne
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...
błąd:  nie udało się przygotować transakcji (nie udało się rozwiązać zależności)
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'dmxproto' wymagane przez libdmx
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86dgaproto' wymagane przez libxxf86dga
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86miscproto' wymagane przez libxxf86misc


Proszę o pomoc.

nycko

GitLab = users/nycko123/projects | GitHub = nycko123 | AUR = packages/?SeB=m&K=nycko123

D35CART35

Mimo wykonania polecenia i tak jest błąd pakietu xorgproto

nycko

A jaki konkretnie problem wyskoczył u Ciebie po wykonaniu pacman -Rdd libdmx libxxf86dga && pacman -Syu ?
GitLab = users/nycko123/projects | GitHub = nycko123 | AUR = packages/?SeB=m&K=nycko123

D35CART35

#4
błąd:  pakiet libdmx nie został znaleziony
błąd:  pakiet libxxf86dga nie został znaleziony

sudo pacman -Syu
:: Synchronizowanie baz danych z pakietami...
antergos jest aktualne
core jest aktualne
extra jest aktualne
community jest aktualne
multilib jest aktualne
:: Rozpoczynanie pełnej aktualizacji systemu...
ostrzeżenie: brltty-minimal: local (6.0-2) jest nowsze niż antergos (6.0-1)
ostrzeżenie: package-query: local (1.10-1) jest nowsze niż antergos (1.9.r380-3)
ostrzeżenie: python2-mutagen: local (1.42.0-2) jest nowsze niż antergos (1.38-2)
rozwiązywanie zależności...
szukanie sprzecznych pakietów...
błąd:  nie udało się przygotować transakcji (nie udało się rozwiązać zależności)
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86miscproto' wymagane przez libxxf86misc


nycko

A co wyświetla polecenie pacman -Qi xorgproto
GitLab = users/nycko123/projects | GitHub = nycko123 | AUR = packages/?SeB=m&K=nycko123

D35CART35

pacman -Qi xorgproto
Nazwa                 : xorgproto
Wersja                : 2019.2-1
Opis                  : combined X.Org X11 Protocol headers
Architektura          : any
Adres url             : https://xorg.freedesktop.org/
Licencje              : custom
Grupy                 : Brak
Dostarcza             : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Zależy od             : Brak
Opcjonalne zależności : Brak
Wymagany przez        : libice  libx11  libxau  libxcomposite  libxdamage
                        libxdmcp  libxext  libxfixes  libxfont2  libxi
                        libxinerama  libxrandr  libxrender  libxss  libxtst
                        libxv  libxxf86misc  libxxf86vm
Opcjonalny dla        : Brak
Konfliktuje z         : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Zastępuje             : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Rozmiar po instalacji : 1646,00 KiB
Autor pakietu         : Andreas Radke <andyrtr@archlinux.org>
Data zbudowania       : czw, 17 paź 2019, 19:39:08
Data zainstalowania   : pią, 18 paź 2019, 08:13:26
Powód zainstalowania  : Zależność innego pakietu
Skrypt instalacyjny   : Nie
Potwierdzone przez    : Podpis

nycko

#7
sudo pacman -Rdd xorgproto && sudo pacman -Syu powinno załatwić sprawę.
Jeśliby jednak wyskoczyły jakieś nowe problemy przy aktualizacji, to daj znać w tym wątku i nie rób nic na siłę.

PS. Postaraj się jak najszybciej możesz usunąć wszystkie pozostałości po Antergosie z Twojego systemu, bo im dłużej one istnieją, tym więcej będziesz mieć z nimi problemów z biegiem czasu.
GitLab = users/nycko123/projects | GitHub = nycko123 | AUR = packages/?SeB=m&K=nycko123

D35CART35

#8
Polecenie rozwiązało problem , znowu pojawił się błąd
błąd:  plik konfiguracyjny /etc/pacman.d/antergos-mirrorlist nie może zostać odczytany: Nie ma takiego pliku ani katalogu

Co sknociłem?
Jak mam to teraz odkręcić?

robson75

Cytat: D35CART35 w Grudzień 21, 2019, 04:06:53 PM
Polecenie rozwiązało problem , znowu pojawił się błąd
błąd:  plik konfiguracyjny /etc/pacman.d/antergos-mirrorlist nie może zostać odczytany: Nie ma takiego pliku ani katalogu

Co sknociłem?
Jak mam to teraz odkręcić?
Dziwisz się? ba ja wcale.
Antergos is dead.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov

Cytat: D35CART35 w Grudzień 21, 2019, 04:06:53 PM
Polecenie rozwiązało problem , znowu pojawił się błąd
błąd:  plik konfiguracyjny /etc/pacman.d/antergos-mirrorlist nie może zostać odczytany: Nie ma takiego pliku ani katalogu

Co sknociłem?
Jak mam to teraz odkręcić?
Nic nie sknociłeś. Już Ci Damian pisał: usuń pozostałości Antergosa w swoim systemie. W tym przypadku - przeglądnij sobie /etc/pacman.conf i popraw.

Piejanto

#11
nycko
Dzięki za pomoc ale problem jeszcze istnieje choć może mniejszy. Dzięki za skierowanie mnie na stronę Archa. Prawdę mówiąc nie wiedziałem o tej możliwości.  Wrzuciłem, zgodnie z poradą, polecenie i wtszło mi coś takiego:

pacman -Rdd libdmx libxxf86dga && pacman -Syu
Pakiety (2) libdmx-1.1.4-1  libxxf86dga-1.1.5-1
Odzyskane miejsce na dysku:  0,18 MiB

:: Czy chcesz usunąć te pakiety? [T/n] T
:: Przetwarzanie zmian pakietu...
(1/2) usuwanie libdmx                              [######################] 100%
(2/2) usuwanie libxxf86dga                         [######################] 100%
:: Uruchamianie po-transakcji...
(1/1) Arming ConditionNeedsUpdate...
:: Synchronizowanie baz danych z pakietami...
core                  135,1 KiB  3,56 MiB/s 00:00 [######################] 100%
extra                1640,1 KiB  3,64 MiB/s 00:00 [######################] 100%
community               4,7 MiB  9,18 MiB/s 00:01 [######################] 100%
multilib              164,5 KiB  16,1 MiB/s 00:00 [######################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...
błąd:  nie udało się przygotować transakcji (nie udało się rozwiązać zależności)
:: instalacja xorgproto (2019.2-2) uszkodzi zależności 'xf86miscproto' wymagane przez libxxf86misc

************************************
następnie zalecane polecenie:


pacman -Qi xorgproto
Nazwa                 : xorgproto
Wersja                : 2019.2-1
Opis                  : combined X.Org X11 Protocol headers
Architektura          : any
Adres url             : https://xorg.freedesktop.org/
Licencje              : custom
Grupy                 : Brak
Dostarcza             : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Zależy od             : Brak
Opcjonalne zależności : Brak
Wymagany przez        : lib32-libxi  libice  libx11  libxau  libxcomposite
                        libxdamage  libxdmcp  libxext  libxfixes  libxfont2
                        libxi  libxinerama  libxp  libxpresent  libxrandr
                        libxrender  libxss  libxtst  libxv  libxxf86misc
                        libxxf86vm
Opcjonalny dla        : Brak
Konfliktuje z         : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Zastępuje             : bigreqsproto  compositeproto  damageproto  dmxproto
                        dri2proto  dri3proto  fixesproto  fontsproto  glproto
                        inputproto  kbproto  presentproto  printproto
                        randrproto  recordproto  renderproto  resourceproto
                        scrnsaverproto  videoproto  xcmiscproto  xextproto
                        xf86dgaproto  xf86driproto  xf86miscproto
                        xf86vidmodeproto  xineramaproto  xproto
Rozmiar po instalacji : 1646,00 KiB
Autor pakietu         : Andreas Radke <andyrtr@archlinux.org>
Data zbudowania       : czw, 17 paź 2019, 19:39:08
Data zainstalowania   : czw, 17 paź 2019, 20:31:27
Powód zainstalowania  : Zależność innego pakietu
Skrypt instalacyjny   : Nie
Potwierdzone przez    : Podpis





pavbaranov

Cóż... Niestety tak będzie czas jeszcze jakiś dopóty, dopóki pewien narwany dev nie ochłonie.
Ogólnie - porzucone zostały pewne elementy układanki pn. usuwamy porzucone części XOrg. Niestety one są w wielu zależnościach i problem się zaczyna. Zasada prosta:
znaleziona taka uniemożliwiająca aktualizację paczka - tu libxxf86misc musi zostać poddana przez użytkownika inspekcji i ustalenia do czego służy w systemie. Jeśli jest ich więcej - to niestety więcej. Stąd też w pierwszej kolejności wykonujesz (w tym przypadku):
pacman -Qi libxxf86misc
Jeśli nie będzie wymagana przez żadną inną paczkę, możesz ją spokojnie odinstalować i przeprowadzić aktualizację. Jeśli coś ją wymaga - sprawdzasz tę paczkę, która jej wymaga.
W przykładzie wyżej jest błąd w repozytorium, albowiem libxxf86misc w repozytorium jest, jest zależne od xf86miscproto, ale tej ostatniej paczki już w repozytorium nie ma. Prawdopodobnie Tobie nie jest potrzebna paczka libxxf86misc do szczęścia (ja jej w systemie nie mam) i będziesz mógł ją odinstalować.
Niestety - pewnie te problemy potrwają dłużej :(
Więcej, o tym samym błędzie masz tu: https://bbs.archlinux.org/viewtopic.php?id=251517

Piejanto

#13
Zdaje się, że polecenie

sudo pacman -Rdd xorgproto && sudo pacman -Syu

załatwiło sprawę. Właśnie leci u mnie aktualizacja.

Dzięki nycko.
Dzięki pavbaranow za wyjaśnienie problemu. A tak nawiasem mówiąc, od czasu przejścia na Archa. mój HP przestał się wieszać, a był to niestety potężny problem, bo czasem i trzy razy w czasie godziny potrafił wymagać twardego resetu. Teraz, jak ręką odjął. Być może był to wpływ Pamaca, ale może też czegoś innego, gdyż netbooka Acera ten problem nie dotyczył.

robson75

W piątek zalecali usunięcie xorgproto, a na drugi dzień podczas aktualizacji paczki libx11 z powrotem została zainstalowana paczka xorgproto, jako zależność libx11.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Zobacz najnowsze wiadomości na forum